{{$header := $.Site.Data.siteHeader}}
<header>
  <!--<div class="onis-header">
    <div class="container">
      <nav class="navbar navbar-expand-lg">
        <a class="navbar-brand" href="{{$header.brandUrl}}">{{$header.brandText}}</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#onisHeaderNavbarContent"
          aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="onisHeaderNavbarContent">
          <ul class="navbar-nav mr-auto left-navbar-nav">
            {{ $currentPage := . }}
            {{ range .Site.Menus.main }}{{if .Weight}}
            <li class="nav-item {{if $currentPage.HasMenuCurrent "main" .}}active{{ end }}">
              <a class="nav-link" href="{{.URL}}"><span>{{ .Name }}</span></a>
            </li>{{end}}
            {{ end }}
          </ul>
          <ul class="navbar-nav">
            <li class="nav-item">
              <a class="nav-link" href="#" target="_blank" rel="noopener"
                aria-label="Notifications">
                <svg class="bi" width="24" height="24" fill="currentColor">
                  <use xlink:href="/img/bootstrap-icons.svg#bell-fill" />
                </svg>
              </a>
            </li>
            <li class="nav-item dropdown">
              <a class="nav-link dropdown-toggle pt-2 pb-0" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown"
                aria-haspopup="true" aria-expanded="false">
                <img src='https://secure.gravatar.com/avatar/f067de605a306ae5fa762a979f526140?s=46&d=identicon'
                  width="32" height="32" alt="roland.knight@onissolutions.com" class="rounded-circle">
              </a>
              <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                <a class="dropdown-item" href="#"><b>roland.knight@onissolutions.com</b></a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="#">Profile</a>
                <a class="dropdown-item" href="#">Settings</a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="#">Logout</a>
              </div>
            </li>
          </ul>
        </div>
      </nav>
    </div>
  </div>-->

  <!--TODO: once the breadcrumb component is complete this should be removed -->
  {{if not .Params.hidePath}}
  <div class="onis-path-container pb-1">
    <onis-path></onis-path>
  </div>
  {{end}}

  <!--TODO: should replace the path above path component -->
  {{if eq .Params.showBreadcrumb true}}
  <div class="onis-path-container pb-1">
    <onis-breadcrumb id="header-breadcrumb"></onis-breadcrumb>
  </div>
  {{end}}

</header>
